Login to Members Area

Choose the service you want to log in
     
24x7x365 Presence
1-888-289-2246
Live Chat

Hosting Blog

 

Installing the mcrypt extension to PHP on Plesk 11.x

We have found that many users need the PHP mcrypt extension for the payment gateway or security reasons, however this doesn't come by default on Plesk or on the Linux server (CentOS to be specific).

Installing the mcrypt extension on PHP is a bit risky as it doesn't come with the CentOS server base repository and we need to install it with a third party repository such as EPEL.

Step 1: So you need to first check the PHP version installed on the server.

php -V

PHP 5.3.3 (cli) (built: Dec 11 2013 03:29:57)

or

rpm -qa | grep php

php-5.3.3-27.el6_5.x86_64

So, here we know that the server has the PHP 5.3.3 version installed and we must install the exact version of php-mcrypt otherwise an upgrade will happen to the running PHP version which will conflict things and may crash the running Plesk.

Step 2: Now, either first install the EPEL repository or directly download the RPM of php-mcrypt-5.3.3-x on the server and install it. So, here I have the direct link which I can share with you. So follow the steps below:-

cd /usr/local/src/
wget http://epel.mirror.net.in/epel/6/x86_64/php-mcrypt-5.3.3-3.el6.x86_64.rpm
yum localinstall php-mcrypt-5.3.3-3.el6.x86_64.rpm

Step 3: Then just restart the httpd service using the link below:-

/etc/init.d/httpd restart

and that's it. Check the php-mcrypt extension status using the phpinfo file on the server.

Have fun :).

Sachin Friday 16 May 2014 - 2:10 pm | | Default

No comments

(optional field)
(optional field)

Comment moderation is enabled on this site. This means that your comment will not be visible until it has been approved by an editor.

Remember personal info?
Small print: All html tags except <b> and <i> will be removed from your comment. You can make links by just typing the url or mail-address.